> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unyte.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Job Status

> Check the status of a job task



## OpenAPI

````yaml get /api/v1/jobs/{job_id}/status/
openapi: 3.0.3
info:
  title: Superpool API
  version: 2.0.0
  description: >-
    Insurance infrastructure for Financial Institutions, Insurers, and
    Insurtechs
  contact:
    name: Unyte Africa LTD.
    url: https://ng.unyte.africa
    email: tech@unyte.com
servers: []
security: []
paths:
  /api/v1/jobs/{job_id}/status/:
    get:
      tags:
        - Job Tasks
      summary: Check Job Status
      description: Check the status of a job task
      operationId: v1_jobs_status_retrieve
      parameters:
        - in: path
          name: job_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Job'
          description: Job task status
        '400':
          description: Job ID is required
        '500':
          description: Job task has been cancelled
      security:
        - ClientKeyAuth: []
components:
  schemas:
    Job:
      type: object
      properties:
        job_id:
          type: string
          format: uuid
          readOnly: true
        status:
          $ref: '#/components/schemas/JobStatusEnum'
      required:
        - job_id
    JobStatusEnum:
      enum:
        - pending
        - in_progress
        - completed
        - failed
      type: string
      description: |-
        * `pending` - Pending
        * `in_progress` - In Progress
        * `completed` - Completed
        * `failed` - Failed
  securitySchemes:
    ClientKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````